
#ifndef Py_XITEROBJECT_H
#define Py_XITEROBJECT_H

#include <Python.h>
#include "xquery.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
	PyObject_HEAD
	long index;
	int preprocess;
	PyObject* criteria;
	PyObject* it_seq;
	PyObject*(*checkFunction)(PyObject *);
	QueryStatus* dfa_status;
} PyXIterObject;

extern void initxiter();
extern DL_IMPORT(PyTypeObject) PyXIter_Type;
extern DL_IMPORT(PyObject *)
	PyXIter_New_c(PyObject *seq, PyObject* criteria, char* type);

#define PyXIter_Check(op) PyObject_TypeCheck(op, &PyXIter_Type)
#define PyXIter_CheckExact(op) ((op)->ob_type == &PyXIter_Type)

#ifdef __cplusplus
}
#endif
#endif /* !Py_LISTOBJECT_H */
