__all__ = ["kernel","dt","stream","test","schemac","schemas","db","schemaclib"]

__uri__ = "http://satine.sourceforge.net/schemas/kernel"
__prefix__ = "satine"

import inspect
import kernel
    
import sys

def xspace(**keywords):
    prefix = keywords.keys()[0]
    uri =  keywords.values()[0]
    
    frame = inspect.currentframe()
    name = frame.f_back.f_globals["__name__"]
    mod = sys.modules[name]
    kernel.reg_space(mod, uri, prefix)
    
xlist = kernel.xlist
xml2py = kernel.xml2py
xml2seq = kernel.xml2seq
py2xml = kernel.py2xml
seq2xml = kernel.seq2xml
py2seq = kernel.py2seq
seq2py = kernel.seq2py
get_type = kernel.get_type
parsexml = kernel.parsexml

opt_autoCreationOff = kernel.opt_autoCreationOff
opt_xmlCData = kernel.opt_xmlCData
opt_xmlComment = kernel.opt_xmlComment
opt_xmlDeclaration = kernel.opt_xmlDeclaration
opt_xmlEntity = kernel.opt_xmlEntity
opt_xmlPI = kernel.opt_xmlPI
opt_xmlStrict = kernel.opt_xmlStrict

is_xlist = kernel.is_xlist
strip = kernel.strip
dfa = kernel.dfa
dfa_next = kernel.dfa_next    
verbose = kernel.verbose

import dt

def get_uri(prefix):
    return kernel.uris[prefix]

def get_prefix(uri):
    return kernel.prefixes[uri]

def getclass(qname):
    uri,tag = dt.QName.decode(qname)
    return get_type(uri, tag)

print "Satine kernel loaded successfully (vs 1.0 Beta-1)"

import test
test.basic()

